BcPasswordEnvelopedRecipient (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.cms.bc

## Class BcPasswordEnvelopedRecipient

- java.lang.Object
- - org.bouncycastle.cms.bc.BcPasswordRecipient
  - - org.bouncycastle.cms.bc.BcPasswordEnvelopedRecipient

- All Implemented Interfaces:
    PasswordRecipient, Recipient

      public class BcPasswordEnvelopedRecipient
      extends BcPasswordRecipient

- - ### Field Summary

    - ### Fields inherited from interface org.bouncycastle.cms.PasswordRecipient

      `PKCS5_SCHEME2, PKCS5_SCHEME2_UTF8`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BcPasswordEnvelopedRecipient(char[] password)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `RecipientOperator` | `getRecipientOperator(org.bouncycastle.asn1.x509.AlgorithmIdentifier keyEncryptionAlgorithm, org.bouncycastle.asn1.x509.AlgorithmIdentifier contentEncryptionAlgorithm, byte[] derivedKey, byte[] encryptedContentEncryptionKey)`

    - ### Methods inherited from class org.bouncycastle.cms.bc.BcPasswordRecipient

      `calculateDerivedKey, extractSecretKey, getPassword, getPasswordConversionScheme, setPasswordConversionScheme`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BcPasswordEnvelopedRecipient

          public BcPasswordEnvelopedRecipient(char[] password)

  - ### Method Detail

    - #### getRecipientOperator

          public RecipientOperator getRecipientOperator(org.bouncycastle.asn1.x509.AlgorithmIdentifier keyEncryptionAlgorithm,
                                               org.bouncycastle.asn1.x509.AlgorithmIdentifier contentEncryptionAlgorithm,
                                               byte[] derivedKey,
                                               byte[] encryptedContentEncryptionKey)
                                                 throws CMSException

      Throws:
        `CMSException`